Crypto++ 8.2 Free C++ class library of cryptographic schemes

Public Types | Public Member Functions | List of all members
DL_GroupParametersImpl< GROUP_PRECOMP, BASE_PRECOMP, BASE > Class Template Reference

Base implementation of Discrete Log (DL) group parameters. More...

Inheritance diagram for DL_GroupParametersImpl< GROUP_PRECOMP, BASE_PRECOMP, BASE >:

## Public Types
typedef GROUP_PRECOMP | GroupPrecomputation
typedef GROUP_PRECOMP::Element | Element
typedef BASE_PRECOMP | BasePrecomputation

## Public Member Functions
const DL_GroupPrecomputation< Element > & | GetGroupPrecomputation () const
| Retrieves the group precomputation. More...
const DL_FixedBasePrecomputation< Element > & | GetBasePrecomputation () const
| Retrieves the group precomputation. More...
DL_FixedBasePrecomputation< Element > & | AccessBasePrecomputation ()
| Retrieves the group precomputation. More...

## Detailed Description

### template<class GROUP_PRECOMP, class BASE_PRECOMP = DL_FixedBasePrecomputationImpl<typename GROUP_PRECOMP::Element>, class BASE = DL_GroupParameters<typename GROUP_PRECOMP::Element>>
class DL_GroupParametersImpl< GROUP_PRECOMP, BASE_PRECOMP, BASE >

Base implementation of Discrete Log (DL) group parameters.

Template Parameters

  GROUP_PRECOMP | group precomputation class
  BASE_PRECOMP | fixed base precomputation class
  BASE | class or type of an element

Definition at line 1013 of file pubkey.h.

## Member Function Documentation

## ◆ GetGroupPrecomputation()

template<class GROUP_PRECOMP, class BASE_PRECOMP = DL_FixedBasePrecomputationImpl<typename GROUP_PRECOMP::Element>, class BASE = DL_GroupParameters<typename GROUP_PRECOMP::Element>>

const DL_GroupPrecomputation<Element>& DL_GroupParametersImpl< GROUP_PRECOMP, BASE_PRECOMP, BASE >::GetGroupPrecomputation | ( |  | ) | const
| inline

Retrieves the group precomputation.

Returns
  a const reference to the group precomputation

Definition at line 1024 of file pubkey.h.

## ◆ GetBasePrecomputation()

template<class GROUP_PRECOMP, class BASE_PRECOMP = DL_FixedBasePrecomputationImpl<typename GROUP_PRECOMP::Element>, class BASE = DL_GroupParameters<typename GROUP_PRECOMP::Element>>

const DL_FixedBasePrecomputation<Element>& DL_GroupParametersImpl< GROUP_PRECOMP, BASE_PRECOMP, BASE >::GetBasePrecomputation | ( |  | ) | const
| inline

Retrieves the group precomputation.

Returns
  a const reference to the group precomputation using a fixed base

Definition at line 1028 of file pubkey.h.

## ◆ AccessBasePrecomputation()

template<class GROUP_PRECOMP, class BASE_PRECOMP = DL_FixedBasePrecomputationImpl<typename GROUP_PRECOMP::Element>, class BASE = DL_GroupParameters<typename GROUP_PRECOMP::Element>>

DL_FixedBasePrecomputation<Element>& DL_GroupParametersImpl< GROUP_PRECOMP, BASE_PRECOMP, BASE >::AccessBasePrecomputation | ( |  | ) |
| inline

Retrieves the group precomputation.

Returns
  a non-const reference to the group precomputation using a fixed base

Definition at line 1032 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h